MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029419Community[OCCT] OCCT:Codingpublic2018-01-11 16:212018-06-29 21:19
ReporterVico Liang 
Assigned Toapn 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029419: Make V3d_Viewer::PrivilegedPlane() return const reference rather than a temp object
DescriptionThe declare of of PrivilegedPlane in class V3d_Viewer as below:

gp_Ax3 PrivilegedPlane() const;

It's better to change it to:
inline const gp_Ax3& PrivilegedPlane() const {return myPrivilegedPlane;}

I have one more question, why not use gp_Ax2 as PrivilegedPlane? is it need to use left hand coordinate system?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0073373)
git (administrator)
2018-01-12 10:36

Branch CR29419 has been created by kgv.

SHA-1: 919f63242464c8a88698b146b1aa8173c5fc2c8e


Detailed log of new commits:

Author: kgv
Date: Fri Jan 12 10:36:18 2018 +0300

    0029419: Make V3d_Viewer::PrivilegedPlane() return const reference rather than a temp object
(0073376)
kgv (developer)
2018-01-12 11:16

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29419-master-KGV/ [^]
(0073384)
apn (administrator)
2018-01-12 11:52

Combination -
OCCT branch : CR29419 SHA - 919f63242464c8a88698b146b1aa8173c5fc2c8e
Products branch : master SHA - c667ca9e3bc920614b06911e337a09899f80aa2f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0073776)
git (administrator)
2018-02-05 11:39

Branch CR29419 has been deleted by kgv.

SHA-1: 919f63242464c8a88698b146b1aa8173c5fc2c8e

- Related Changesets
occt: master 67b3d2a8
Timestamp: 2018-01-12 07:36:18
Author: kgv
Committer: apn
Details ] Diff ]
0029419: Make V3d_Viewer::PrivilegedPlane() return const reference rather than a temp object
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
rm - src/V3d/V3d_Viewer_3.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_4.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-01-11 16:21 Vico Liang New Issue
2018-01-11 16:21 Vico Liang Assigned To => kgv
2018-01-11 16:23 Vico Liang Description Updated View Revisions
2018-01-12 10:34 kgv Severity minor => tweak
2018-01-12 10:34 kgv Target Version => 7.4.0*
2018-01-12 10:36 git Note Added: 0073373
2018-01-12 11:16 kgv Note Added: 0073376
2018-01-12 11:16 kgv Assigned To kgv => bugmaster
2018-01-12 11:16 kgv Status new => resolved
2018-01-12 11:16 kgv Status resolved => reviewed
2018-01-12 11:52 apn Test case number => Not needed
2018-01-12 11:52 apn Note Added: 0073384
2018-01-12 11:52 apn Status reviewed => tested
2018-01-13 15:26 apn Changeset attached => occt master 67b3d2a8
2018-01-13 15:26 apn Assigned To bugmaster => apn
2018-01-13 15:26 apn Status tested => verified
2018-01-13 15:26 apn Resolution open => fixed
2018-02-05 11:39 git Note Added: 0073776
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker